package com.company.sample.payment;

import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/internal/payment")
public class PaymentController {

    @GetMapping("/{provider}/pay")
    public PaymentResponse paymentGet(@PathVariable String provider) {
        if ("paypal".equals(provider)) {
            return new PaymentResponse("OK");
        } else {
            return new PaymentResponse("ERROR");
        }
    }

    @PostMapping("/{provider}/pay")
    public PaymentResponse paymentPost(@PathVariable String provider) {
        if ("paypal".equals(provider)) {
            return new PaymentResponse("OK");
        } else {
            return new PaymentResponse("ERROR");
        }
    }

    public record PaymentResponse(String status) {}
}
